package loadtest

import io.gatling.core.Predef._
import io.gatling.http.Predef._

class CheckHeader extends Simulation {
  val scn = scenario("header").exec(
    http("hello").get("/hello?name=john")
      .check(
        header("Server") // ①
          .is("Jetty(9.0.2.v20130417)"),
        headerRegex("Content-Type", // ②
          "(.*); charset=(.*)")
          .ofType[(String, String)]
          .is(("text/html", "UTF-8"))))

  setUp(scn.inject(atOnceUsers(1)))
    .protocols(http.baseURL("http://localhost"))
}
