package loadtest

import io.gatling.core.Predef._
import io.gatling.http.Predef._

class CheckTime extends Simulation {
  val scn = scenario("time").exec(
    http("hello").get("/hello?name=john")
      .check(
        responseTimeInMillis.lessThan(500),
        latencyInMillis.lessThanOrEqual(300)))

  setUp(scn.inject(atOnceUsers(4)))
    .protocols(http.baseURL("http://localhost"))
}
