package loadtest

import scala.concurrent.duration._

import io.gatling.core.Predef._
import io.gatling.http.Predef._

class Upload extends Simulation {
  val proto = http.baseURL("http://localhost")
    .baseHeaders(
      Map("X-Requested-With" -> "Gatling"))

  val scn = scenario("First").exec(
    http("upload")
      .httpRequestWithParams("PUT", "/upload")
      .headers(Map("Cache-Control" -> "max-age=0"))
      .formParam("name", "john")
      .formParam("location", "Tokyo")
      .formUpload("filename", "myfile.txt"))

  setUp(scn.inject(
    rampUsers(10) over (5 seconds)))
    .protocols(proto)
}
