package loadtest

import io.gatling.core.Predef._
import io.gatling.http.Predef._

class UseCheck extends Simulation {
  val scn = scenario("check")
    .exec(http("login")
      .post("/login")
      .body(StringBody("""{
          "uid":"john", "password":"p@55"
        }""")).asJSON
      .check(jsonPath("$.token").saveAs("tkn")))
    .exec(http("secret")
      .get("/secret")
      .header("X-Authorization", "${tkn}")
      .check(status.is(200),
        bodyString.is("Authorized Content")))

  setUp(scn.inject(atOnceUsers(1)))
    .protocols(http.baseURL("http://localhost"))
}
