package loadtest01

import scala.concurrent.duration._
import akka.actor._

object Daddy extends App {
  val sys = ActorSystem("sys")
  import sys.dispatcher
  val kids = sys.actorOf(Props[Kids], "kids")
  sys.scheduler.schedule(0 second, 100 millisecond) {
    kids ! "OK?"
  }
}

class Mam extends Actor {
  def receive = {
    case a: ActorRef => {
      import context.dispatcher
      context.system.scheduler
        .scheduleOnce(1 second) { a ! "Cookie" }
    }
  }
}

class Kids extends Actor with ActorLogging {
  val mam = context.actorOf(Props[Mam])

  def hungry: Receive = {
    case "OK?" => log.info("hungry...")
    case "Cookie" => {
      log.info("mog!mog!")
      context.become(fully)
    }
  }

  def fully: Receive = {
    case "OK?" => context.system.shutdown
  }

  def receive = {
    case "OK?" => {
      mam ! self
      context.become(hungry)
    }
  }
}

